summaryrefslogtreecommitdiffstats
path: root/graphics
diff options
context:
space:
mode:
author Steven Voges <svoges.sbo@gmail.com>2022-04-02 17:58:17 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2022-04-02 18:19:13 +0700
commit32a70659f8ca66cac4993a15fc39cdaa301b276b (patch)
tree755029efc9f672a8320e2ae614f08cee9398de3f /graphics
parent9446efc904c28620ec0b74bd29465c38c4585252 (diff)
downloadslackbuilds-32a70659f8ca66cac4993a15fc39cdaa301b276b.tar.gz
slackbuilds-32a70659f8ca66cac4993a15fc39cdaa301b276b.tar.xz
graphics/mangohud: Added (Vulkan/OpenGL Overlay).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'graphics')
-rw-r--r--graphics/mangohud/README12
-rw-r--r--graphics/mangohud/mangohud.SlackBuild126
-rw-r--r--graphics/mangohud/mangohud.info14
-rw-r--r--graphics/mangohud/slack-desc19
4 files changed, 171 insertions, 0 deletions
diff --git a/graphics/mangohud/README b/graphics/mangohud/README
new file mode 100644
index 0000000000..744dab1315
--- /dev/null
+++ b/graphics/mangohud/README
@@ -0,0 +1,12 @@
+MangoHud is a Vulkan and OpenGL overlay for monitoring FPS,
+temperatures, CPU/GPU load and more.
+
+MangoHud may be built with access to Nvidia's NV_Control X
+extension. This introduces a dependency on libxnvctrl and
+may be included by passing XNVCTRL=enabled.
+
+By default, MangoHud reaches out to the internet to pull
+Vulkan-Headers. Since Slackware ships with vulkan-sdk, we
+enable system headers by default. To disable this feature
+and restore default behavior, pass SYSVULKAN=disabled to
+the build script.
diff --git a/graphics/mangohud/mangohud.SlackBuild b/graphics/mangohud/mangohud.SlackBuild
new file mode 100644
index 0000000000..a701720bc1
--- /dev/null
+++ b/graphics/mangohud/mangohud.SlackBuild
@@ -0,0 +1,126 @@
+#!/bin/bash
+
+# Slackware build script for mangohud
+
+# Copyright 2022 Steven Voges <svoges.sbo@gmail.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=mangohud
+VERSION=${VERSION:-0.6.6_1}
+RLSVRS=${RLSVRS:-0.6.6-1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+XNVCTRL=${XNVCTRL:-disabled}
+SYSVULKAN=${SYSVULKAN:-enabled}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf MangoHud-$VERSION
+rm -rf MangoHud-$RLSVRS
+tar xvf $CWD/$PRGNAM-$RLSVRS.tar.?z
+cd MangoHud-$RLSVRS/subprojects
+tar xvf $CWD/imgui-1.81.tar.gz
+unzip $CWD/imgui_1.81-1_patch.zip
+tar xvf $CWD/spdlog-1.8.5.tar.gz
+unzip $CWD/spdlog_1.8.5-1_patch.zip
+cd ..
+chown -R root:root .
+
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir build
+cd build
+ CFLAGS="$SLKCFLAGS" \
+ CXXFLAGS="$SLKCFLAGS" \
+ LDFLAGS="-L/usr/lib${LIBDIRSUFFIX}" \
+ meson .. \
+ --buildtype=release \
+ --infodir=/usr/info \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ -Duse_system_vulkan=$SYSVULKAN \
+ -Dwith_xnvctrl=$XNVCTRL
+ ninja
+ DESTDIR=$PKG ninja install
+cd ..
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a LICENSE README.md meson_options.txt $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/graphics/mangohud/mangohud.info b/graphics/mangohud/mangohud.info
new file mode 100644
index 0000000000..611ffe7995
--- /dev/null
+++ b/graphics/mangohud/mangohud.info
@@ -0,0 +1,14 @@
+PRGNAM="mangohud"
+VERSION="0.6.6_1"
+HOMEPAGE="https://github.com/flightlessmango/MangoHud"
+DOWNLOAD="https://github.com/flightlessmango/MangoHud/archive/v0.6.6-1/mangohud-0.6.6-1.tar.gz \
+ https://github.com/ocornut/imgui/archive/v1.81/imgui-1.81.tar.gz \
+ https://github.com/gabime/spdlog/archive/v1.8.5/spdlog-1.8.5.tar.gz"
+MD5SUM="a7949eea27f27acbc93a70416747c295 \
+ 9b48ac38829b538233f99c0aa8cacf50 \
+ 8755cdbc857794730a022722a66d431a"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Steven Voges"
+EMAIL="svoges.sbo@gmail.com"
diff --git a/graphics/mangohud/slack-desc b/graphics/mangohud/slack-desc
new file mode 100644
index 0000000000..01a887e6ee
--- /dev/null
+++ b/graphics/mangohud/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+mangohud: mangohud (Vulkan/OpenGL Overlay)
+mangohud:
+mangohud: MangoHud is a Vulkan and OpenGL overlay for monitoring FPS,
+mangohud: temperatures, CPU/GPU load and more.
+mangohud:
+mangohud:
+mangohud:
+mangohud:
+mangohud:
+mangohud:
+mangohud: